---
lang: en
title: 'API docs: context-explorer.contextgraph'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.contextgraph.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [ContextGraph](./context-explorer.contextgraph.md)

## ContextGraph class

A graph for context hierarchy

<b>Signature:</b>

```typescript
export declare class ContextGraph 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(ctx, options)](./context-explorer.contextgraph._constructor_.md) |  | Constructs a new instance of the <code>ContextGraph</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [build()](./context-explorer.contextgraph.build.md) |  | Build a direct graph |
|  [render()](./context-explorer.contextgraph.render.md) |  | Render the context graph in graphviz dot format |
|  [renderBinding(parent, { binding, id })](./context-explorer.contextgraph.renderbinding.md) |  | Render a binding object |
|  [renderConfig(parent, { binding, level, id })](./context-explorer.contextgraph.renderconfig.md) |  | Create an edge for a binding to its configuration |


